net.dontdrinkandroot.wicket.model.date

## Class DateSecondModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel<Integer>
  - - net.dontdrinkandroot.wicket.model.date.DateSecondModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<Integer>, org.apache.wicket.util.io.IClusterable

    public class DateSecondModel
    extends AbstractDateCalendarModel<Integer>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DateSecondModel(org.apache.wicket.model.IModel<Date> parent)`

### Method Summary

Methods
`protected Integer` `getFromCalendar(Calendar calendar)`
`protected void` `setToCalendar(Integer object, Calendar calendar)`

### Methods inherited from class net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel

`detach, getObject, setObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateSecondModel

    public DateSecondModel(org.apache.wicket.model.IModel<Date> parent)

### Method Detail

#### getFromCalendar

    protected Integer getFromCalendar(Calendar calendar)

Specified by:
  `getFromCalendar` in class `AbstractDateCalendarModel<Integer>`

#### setToCalendar

    protected void setToCalendar(Integer object,
                     Calendar calendar)

Specified by:
  `setToCalendar` in class `AbstractDateCalendarModel<Integer>`